/* Scrutari - Copyright (c) 2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.feed;


/**
 *
 * @author Vincent Calame
 */
public class FeedOptions {

    private boolean onlyWithFiches = false;

    public boolean isOnlyWithFiches() {
        return onlyWithFiches;
    }

    public void setOnlyWithFiches(boolean onlyWithFiches) {
        this.onlyWithFiches = onlyWithFiches;
    }

    public static FeedOptions parse(String s) {
        FeedOptions feedOptions = new FeedOptions();
        if (s.contains("-f")) {
            feedOptions.setOnlyWithFiches(true);
        }
        return feedOptions;
    }

}
