/* ScrutariLib_DB - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.db;

import net.mapeadores.scrutari.data.FicheData;
import net.mapeadores.scrutari.data.MotcleData;


/**
 *
 * @author Vincent Calame
 */
public interface DataCacheReader {

    public FicheData getFicheData(int codefiche);

    public MotcleData getMotcleData(int codemotcle);

    public void close();

}
