/* ScrutariLib_Xml - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.xml;


/**
 *
 * @author Vincent Calame
 */
public interface ErrorKeys {

    public final static String SEVERE_XML_BASEROOT = "severe.xml.baseroot";
    public final static String SEVERE_XML_AUTHORITYUUID = "severe.xml.authorityuuid";
    public final static String SEVERE_XML_NOMBASE = "severe.xml.basename";
    public final static String SEVERE_XML_BASE_MISSINGMETADATA = "severe.xml.base.missingmetadata";
    public final static String WARNING_XML_BASE_LANGERROR = "warning.xml.base.langerror";
    public final static String WARNING_XML_FICHE_MISSINGFICHEID = "warning.xml.fiche.missingficheid";
    public final static String WARNING_XML_FICHE_LANGERROR = "warning.xml.fiche.langerror";
    public final static String WARNING_XML_FICHE_DATEERROR = "warning.xml.fiche.dateerror";
    public final static String WARNING_XML_FICHE_TOMANYCOMPLEMENTS = "warning.xml.fiche.tomanycomplements";
    public final static String WARNING_XML_FICHE_DOUBLEFICHEID = "warning.xml.fiche.doubleficheid";
    public final static String WARNING_XML_CORPUS_MISSINGCORPUSNAME = "warning.xml.corpus.missingcorpusname";
    public final static String WARNING_XML_CORPUS_DOUBLECORPUSNAME = "warning.xml.corpus.doublecorpusname";
    public final static String WARNING_XML_CORPUS_MISSINGMETADATA = "warning.xml.corpus.missingmetadata";
    public final static String WARNING_XML_CORPUS_LANGERROR = "warning.xml.corpus.langerror";
    public final static String WARNING_XML_MOTCLE_MISSINGMOTCLEID = "warning.xml.motcle.missingmotcleId";
    public final static String WARNING_XML_MOTCLE_DOUBLEMOTCLEID = "warning.xml.motcle.doublemotcleid";
    public final static String WARNING_XML_MOTCLE_LANGERROR = "warning.xml.motcle.langerror";
    public final static String WARNING_XML_THESAURUS_MISSINGTHESAURUSNAME = "warning.xml.thesaurus.missingthesaurusname";
    public final static String WARNING_XML_THESAURUS_DOUBLETHESAURUSNAME = "warning.xml.thesaurus.doublenthesaurusname";
    public final static String WARNING_XML_THESAURUS_MISSINGMETADATA = "warning.xml.thesaurus.missingmetadata";
    public final static String WARNING_XML_THESAURUS_LANGERROR = "warning.xml.thesaurus.langerror";
    public final static String WARNING_XML_INDEXATION_MISSINGCORPUSPATH = "warning.xml.indexation.missingcorpuspath";
    public final static String WARNING_XML_INDEXATION_MISSINGTHESAURUSPATH = "warning.xml.indexation.missingthesauruspath";
    public final static String WARNING_XML_INDEXATION_MISSINGFICHEID = "warning.xml.indexation.missingficheid";
    public final static String WARNING_XML_INDEXATION_MISSINGMOTCLEID = "warning.xml.indexation.missingmotcleid";
    public final static String WARNING_XML_INDEXATION_WRONGFICHEID = "warning.xml.indexation.wrongficheid";
    public final static String WARNING_XML_INDEXATION_WRONGMOTCLEID = "warning.xml.indexation.wrongmotcleid";
    public final static String WARNING_XML_INDEXATION_DOUBLEINDEXATION = "warning.xml.indexation.doubleindexation";
    public final static String WARNING_XML_FICHE_TYPEERROR = "warning.xml.fiche.typeerror";
    public final static String WARNING_XML_CORPUS_TYPEERROR = "warning.xml.corpus.typeerror";
    public final static String WARNING_XML_FICHE_MISSINGLATITUDE = "warning.xml.fiche.missinglatitude";
    public final static String WARNING_XML_FICHE_MISSINGLONGITUDE = "warning.xml.fiche.missinglongitude";
    public final static String SEVERE_DATABASE_DOUBLE = "severe.database.double";
    public final static String WARNING_DATABASE_INDEXATION_UNKNOWNFICHEURI = "severe.database.indexation.unknownficheuri";
    public final static String WARNING_DATABASE_INDEXATION_UNKNOWNMOTCLEURI = "severe.database.indexation.unknownmotcleuri";
}
