/* SctServer - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.admin;

import net.scrutari.datauri.BaseURI;
import java.net.URL;


/**
 *
 * @author Vincent Calame
 */
public interface ScrutariInfo {

    public static final short OK_STATE = 1;
    public static final short UNKNOWN_STATE = 0;
    public static final short INFO_NOCONNECTION_STATE = -11;
    public static final short INFO_BROKENURL_STATE = -12;
    public static final short INFO_DOWNLOADERROR_STATE = -13;
    public static final short INFO_NOTXML_STATE = -14;
    public static final short INFO_WRONGXML_STATE = -15;
    public static final short DATA_NOCONNECTION_STATE = -21;
    public static final short DATA_BROKENURL_STATE = -22;
    public static final short DATA_DOWNLOADERROR_STATE = -23;
    public static final short DATA_NOTXML_STATE = -24;
    /*public static final short INFO_WRONGXML_STATE = -7;*/

    public String getKeyString();

    public URL getUrl();

    public short getState();

    public int getLastUpdate();

    public URL getScrutariDataUrl();

    public BaseURI getBaseURI();

}
