/* ScrutariLib_DB - Copyright (c) 2010-2011 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.scrutari.db.codefilter;

import net.mapeadores.scrutari.db.CodeList;

/**
 *
 * Deux choses l'une : soit la condition globale est ou (valeur 2)
 * et dans ce cas les conditions à l'intérieur de chaque liste est et
 * soit la condition est et et dans ce cas les conditions à l'intérieur de chaque liste
 * sont ou
 *
 * @author Vincent Calame
 */
public interface MultiCodeCondition {

    public short getGlobalCondition();

    public int getCodeListCount();

    public CodeList getCodeList(int i);

}
