/* SctServer - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.storage;

import java.io.File;


/**
 *
 * @author Vincent Calame
 */
public interface DirectoryCatalog {

    public final static String CONF_DIR = "conf";
    public final static String VAR_DIR = "var";
    public final static String DATA_DIR = "data";
    public final static String BERKELEY_DIR = "_berkeley";
    public final static String LOG_DIR = "log";
    public final static String SEARCHRESULTS_DIR = "searchresults";

    /*
     * Ne doit pas être nul. Est utilisé si un répertoire n'est pas défini.
     */
    public File getDefaultRootDirectory();

    /**
     *Peut être nul.
     */
    public File getDirectory(String name);

}
